#
# spec file for package at-spi (Version 1.6.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gpm grep groff gtk2 gtk2-devel gtkdoc gzip indent info insserv intltool iso_ent klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libcom_err libdrm libgcc libgcrypt libglade2 libgnomecanvas libgnomecanvas-devel libgpg-error libidl libidl-devel libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           at-spi
BuildRequires:  gail-devel gnome-common gtkdoc indent intltool libbonobo-devel libidl-devel perl-XML-Parser sgml-skel update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Version:        1.6.6
Release:        17.2
Summary:        Assistive Technology Service Provider Interface
Source:         at-spi-%{version}.tar.bz2
Patch:          at-spi-157561.patch
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library, based on ATK, is a general interface for applications to
make use of the accessibility toolkit.



Authors:
--------
    Bill Haneman <bill.haneman@sun.com>
    Marc Mulcahy <marc.mulchay@sun.com>
    Michael Meeks <micheal@ximian.com>
    Mark McLoughlin <mark@skynet.ie>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Requires:       %{name} = %{version} libbonobo-devel atk-devel gtk2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Bill Haneman <bill.haneman@sun.com>
    Marc Mulcahy <marc.mulchay@sun.com>
    Michael Meeks <micheal@ximian.com>
    Mark McLoughlin <mark@skynet.ie>

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Autoreqprov:    on

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    Bill Haneman <bill.haneman@sun.com>
    Marc Mulcahy <marc.mulchay@sun.com>
    Michael Meeks <micheal@ximian.com>
    Mark McLoughlin <mark@skynet.ie>

%prep
%setup -n at-spi-%{version} 
%patch

%build
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -L/usr/X11R6/%_lib" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --libexecdir=%prefix/lib/at-spi \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/%_lib \
    --with-kde-datadir=/opt/kde \
    --enable-platform-gnome2 \
    --enable-gtk-doc
make 

%install
rm -rf $RPM_BUILD_ROOT
export LD_LIBRARY=$RPM_BUILD_ROOT/opt/gnome/%_lib
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/%_lib/*.so.*
%{prefix}/%_lib/gtk-2.0/modules/*.so
%{prefix}/lib/at-spi
%{prefix}/%_lib/bonobo/servers/Accessibility_Registry.server
%{prefix}/%_lib/orbit-2.0/*.so
%{prefix}/share/idl/at-spi-1.0

%files devel
%defattr (-, root, root)
%{prefix}/include/at-spi-1.0
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/orbit-2.0/*.*a
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/gtk-2.0/modules/*.*a

%files doc
%defattr (-, root, root)
%{prefix}/share/gtk-doc/html/at-spi-cspi

%changelog -n at-spi
* Tue Mar 14 2006 - gekker@suse.de
- fix a threading deadlock in event emission (#157561)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 1.6.6
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 1.6.5 (GNOME 2.12)
- Add docbook-xml-packages to nfb
* Tue Jun 07 2005 - gekker@suse.de
- Update to version 1.6.4.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 1.6.3 (GNOME 2.10)
* Fri Feb 04 2005 - meissner@suse.de
- fixed sentinel warning.
* Thu Dec 16 2004 - ro@suse.de
- fix compiler warning
* Wed Dec 15 2004 - gekker@suse.de
- Update version to 1.6.2.
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Tue Oct 12 2004 - sbrabec@suse.cz
- Removed openssl from build requirements.
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Tue May 04 2004 - sbrabec@suse.cz
- Moved *.pc to at-spi-devel.
* Wed Apr 21 2004 - sbrabec@suse.cz
- Updated to version 1.4.2 (GNOME 2.6).
* Thu Feb 19 2004 - sbrabec@suse.cz
- Updated to version 1.3.12.
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 1.3.8 [GNOME2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Thu Oct 09 2003 - sbrabec@suse.cz
- Updated to version 1.3.7 (GNOME 2.4).
* Fri Aug 15 2003 - sbrabec@suse.cz
- Updated to version 1.2.1.
* Tue Jul 15 2003 - sbrabec@suse.cz
- Prefix really changed to /opt/gnome.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jul 14 2003 - hhetter@suse.de
- %%_lib fixes
* Tue Jun 24 2003 - sbrabec@suse.cz
- Fixed neededforbuild.
- Branched at-spi-devel and at-spi-doc.
- Prefix clash fixes - gtk-doc, orbit2 modules and gtk modules.
- Standard docs moved from yelp directory.
* Tue May 27 2003 - ro@suse.de
- add bonobo-server to filelist
- remove unpackaged/moved files from buildroot
* Wed Feb 26 2003 - sbrabec@suse.cz
- FHS fix.
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 1.1.8 [GNOME 2.2.0]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Thu Jun 06 2002 - ro@suse.de
- build on lib64 platforms
* Wed Jun 05 2002 - hhetter@suse.de
- initial SuSE Release
